Package fr.gouv.vitam.common.database.translators.mongodb

# Class SelectToMongodb

java.lang.Object
fr.gouv.vitam.common.database.translators.RequestToAbstract
fr.gouv.vitam.common.database.translators.mongodb.RequestToMongodb
fr.gouv.vitam.common.database.translators.mongodb.SelectToMongodb

public class SelectToMongodb extends RequestToMongodb
Select to MongoDb

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.translators.RequestToAbstract

  `requestParser`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelectToMongodb(AbstractParser<?> selectParser)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.bson.conversions.Bson`
  `getFinalOrderBy()`
  FindIterable.sort(orderby) for MongoDb
  `org.bson.conversions.Bson`
  `getFinalProjection()`
  FindIterable.projection(projection)
  `Select`
  `getSingleSelect()`
  `boolean`
  `idWasInProjection()`
  `boolean`
  `isScoreIncluded()`

  ### Methods inherited from class fr.gouv.vitam.common.database.translators.mongodb.RequestToMongodb

  `getInitialRoots, getNthQueries, getRequest, getRequestToMongoDb`

  ### Methods inherited from class fr.gouv.vitam.common.database.translators.RequestToAbstract

  `getFinalLimit, getFinalOffset, getHints, getLastDepth, getNbQueries, getNthQuery, getRequest, getRequestParser, getUsage, hasFullTextQuery, hintCache, hintNoTimeout, isMultiple, model`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SelectToMongodb

    public SelectToMongodb(AbstractParser<?> selectParser)
    Parameters:
      `selectParser` - AbstractParser of unknown type

- ## Method Details

  - ### getFinalOrderBy

    public org.bson.conversions.Bson getFinalOrderBy()
    FindIterable.sort(orderby) for MongoDb
    Returns:
      the orderBy MongoDB command

  - ### getSingleSelect

    public Select getSingleSelect()
    Returns:
      the Select Single

  - ### idWasInProjection

    public boolean idWasInProjection()
    Returns:
      True if #id was in the primary projection or empty projection

  - ### isScoreIncluded

    public boolean isScoreIncluded()
    Returns:
      True if the score is included, or false if explicitly excluded

  - ### getFinalProjection

    public org.bson.conversions.Bson getFinalProjection() throws InvalidParseOperationException
    FindIterable.projection(projection)
    Returns:
      the projection
    Throws:
      `InvalidParseOperationException` - when getting invalid projection request